POST top-ups · Checkout API
POST top-ups
POST
/api/v1/profiles/{reference}/balance/top-ups[Coming soon] Postponement support.
Creates a new balance top-up.
Make sure to check if top-up is allowed for the profile first.
Make sure the top-up limits are respected.
Parameter
referencestringErforderlichThe unique token identifier or an OTP of the profile.
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationToken <accessToken>Idempotency-Key<idempotencyKey>Security-Token<securityToken>Timestamp<timestamp>Originaler Blueprint-Ausschnitt
API Blueprint
### POST top-ups [POST /api/v1/profiles/{reference}/balance/top-ups]
Creates a new balance top-up.
+ Make sure to check if top-up is allowed for the profile first.
+ Make sure the top-up limits are respected.
+ Parameters
+ reference (string, required) - The unique token identifier or an OTP of the profile.
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: Token <accessToken>
Idempotency-Key: <idempotencyKey>
Security-Token: <securityToken>
Timestamp: <timestamp>
+ Attributes (object)
+ amount: 1000 (number, required) - The amount to be added to the profile's balance, expressed in the currency's minor unit.
+ currency: EUR (string, required) - The currency of the amount to be added to the profile's balance.
+ Body
{
"amount": 1000,
"currency": "EUR"
}
+ Schema
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string"
}
}
}
+ Response 200 (application/json; charset=utf-8)
+ Attributes (object)
+ oldAmount: 50 (number, required) - The old amount before making the charge request, expressed in the currency's minor unit.
+ newAmount: 1050 (number, required) - The new amount after making the charge request, expressed in the currency's minor unit.
+ currency: EUR (string, required) - The currency of the amounts.
+ Body
{
"oldAmount": 50,
"newAmount": 1050,
"currency": "EUR"
}
+ Schema
{
"type": "object",
"properties": {
"oldAmount": {
"type": "number"
},
"newAmount": {
"type": "number"
},
"currency": {
"type": "string"
}
}
}